Package com.independentsoft.office.spreadsheet

# Class ConditionalFormatValueObject

java.lang.Object
com.independentsoft.office.spreadsheet.ConditionalFormatValueObject

public class ConditionalFormatValueObject extends Object
The Class ConditionalFormatValueObject.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConditionalFormatValueObject()`
  Instantiates a new conditional format value object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConditionalFormatValueObject`
  `clone()`
  `ConditionalFormatValueObjectType`
  `getType()`
  Gets the type.
  `String`
  `getValue()`
  Gets the value.
  `boolean`
  `isGreaterThanOrEqual()`
  Checks if is greater than or equal.
  `void`
  `setGreaterThanOrEqual​(boolean isGreaterThanOrEqual)`
  Sets the greater than or equal.
  `void`
  `setType​(ConditionalFormatValueObjectType type)`
  Sets the type.
  `void`
  `setValue​(String value)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConditionalFormatValueObject

    public ConditionalFormatValueObject()
    Instantiates a new conditional format value object.

- ## Method Details

  - ### clone

    public ConditionalFormatValueObject clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isGreaterThanOrEqual

    public boolean isGreaterThanOrEqual()
    Checks if is greater than or equal.
    Returns:
      true, if is greater than or equal

  - ### setGreaterThanOrEqual

    public void setGreaterThanOrEqual​(boolean isGreaterThanOrEqual)
    Sets the greater than or equal.
    Parameters:
      `isGreaterThanOrEqual` - the new greater than or equal

  - ### getType

    public ConditionalFormatValueObjectType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(ConditionalFormatValueObjectType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getValue

    public String getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(String value)
    Sets the value.
    Parameters:
      `value` - the new value